<h1>Post</h1>

<!-- we want to pass the currentPost property into the form component
as an INPUT.
we have the OUTPUT (newPost)='onNewPost()'

*Output is signified by ()
&Input is signified by []
-->
<app-post-form [currentPost]="currentPost" [isEdit]="isEdit" (updatedPost)="onUpdatedPost($event)" (newPost)="onNewPost($event)"></app-post-form>

<div class="container">
  <div class="row shadow-lg">
    <ul class="list-unstyled shadow-lg">
      <li *ngFor="let post of posts" class="card card-body mb-3 shadow-lg" [class.bg-success]="post.id" [class.text-light]="post">
        <h3>ID: {{ post.id }} </h3>
        <h2>Title: {{ post.title }} </h2>
        <p>Body: {{ post.body }} </p>

          <hr>

<!--        delete button -->
        <button (click)="removePost(post)" class="btn btn-outline-danger"><i class="fa fa-remove"></i></button>

<!--        edit button -->
        <button (click)="editPost(post)" class="btn btn-outline-light"><i class="fa fa-pencil"></i></button>
      </li>
    </ul>
  </div>
</div>
